Skip to main content
GET
/
room_recordings
/
{room_recording_id}
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const roomRecording = await client.roomRecordings.retrieve('0ccc7b54-4df3-4bca-a65a-3da1ecc777f0');

console.log(roomRecording.data);
{
  "data": {
    "id": "6b61621f-62e0-4aad-ab11-9fd19e272e73",
    "room_id": "7b61621f-5fe4-4aad-ab11-9fd19e272e73",
    "session_id": "8b61621f-5fe4-4aad-ab11-9fd19e272e73",
    "participant_id": "9b61621f-5fe4-4aad-ab11-9fd19e272e73",
    "status": "completed",
    "download_url": "https://www.example.com",
    "type": "audio",
    "duration_secs": 3660,
    "size_mb": 5.6,
    "codec": "opus",
    "created_at": "2021-04-16T09:46:20.954863Z",
    "updated_at": "2021-04-16T10:24:55.962200Z",
    "started_at": "2021-04-16T09:24:55.962200Z",
    "ended_at": "2021-04-16T10:24:55.962200Z",
    "completed_at": "2021-04-16T10:25:55.962200Z",
    "record_type": "room_session"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

room_recording_id
string<uuid>
required

The unique identifier of a room recording.

Example:

"0ccc7b54-4df3-4bca-a65a-3da1ecc777f0"

Response

Get room recording response.

data
object
Example:
{
  "id": "6b61621f-62e0-4aad-ab11-9fd19e272e73",
  "room_id": "7b61621f-5fe4-4aad-ab11-9fd19e272e73",
  "session_id": "8b61621f-5fe4-4aad-ab11-9fd19e272e73",
  "participant_id": "9b61621f-5fe4-4aad-ab11-9fd19e272e73",
  "status": "completed",
  "download_url": "https://www.example.com",
  "type": "audio",
  "duration_secs": 3660,
  "size_mb": 5.6,
  "codec": "opus",
  "created_at": "2021-04-16T09:46:20.954863Z",
  "updated_at": "2021-04-16T10:24:55.962200Z",
  "started_at": "2021-04-16T09:24:55.962200Z",
  "ended_at": "2021-04-16T10:24:55.962200Z",
  "completed_at": "2021-04-16T10:25:55.962200Z",
  "record_type": "room_session"
}